%
% MATH SHORTCUTS
%

\newcommand{\x}{\mathbf{x}}

\newcommand{\Gradsym}{\boldsymbol{\varepsilon}}
\renewcommand{\Sigma}{\boldsymbol{\sigma}}

\newmathcommand{\f}{\mathbf{f}}          % force per volume
\renewmathcommand{\t}{\mathbf{t}}        % traction

% field definitions
\renewcommand{\u}{\mathbf{u}}
\renewmathcommand{\v}{\mathbf{v}}

% virtual "fields" (aka displacements, velocity, pressure, etc)
\newcommand{\viru}{\hat{\u}}

\renewmathcommand{\v}{\mathbf{v}}
\newmathcommand{\virv}{\hat{\v}}

\newmathcommand{\virp}{\hat{p}}

\renewmathcommand{\c}{\mathbf{c}}   % convective velocity (c = v or c = v - vr for eulerian or ale references frames, respectively)

\newcommand{\Pe}{\text{Pe}}


\newmathcommand{\Chi}{\boldsymbol{\chi}}
%\newmathcommand{\Chi}{\chi}

\newmathcommand{\Det}{\text{det}\,}
\newmathcommand{\Tr}{\text{tr}\,}
\newmathcommand{\Div}{\text{div}}


\newcommand{\pder}[2]{\frac{\partial#1}{\partial#2}}

\newmathcommand{\E}{\mathbf{E}}
\renewmathcommand{\S}{\mathbf{S}}

\newmathcommand{\C}{\mathbf{C}}



\newmathcommand{\F}{\mathbf{F}}
\newmathcommand{\Fv}{\F^{\v}}
\newmathcommand{\Fu}{\F^{\u}}
\newmathcommand{\Fuv}{\F^{\u\v}}


\newmathcommand{\U}{\mathbf{U}}

\newcommand{\TAU}{\epsilon}

\newmathcommand{\n}{\mathbf{n}}


\renewmathcommand{\P}{\mathbf{P}}